List Pipelines

Reference for the GET /console/v1/release_pipelines endpoint of the Statsig API.

gethttps://statsigapi.net/console/v1/release_pipelines

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List pipelines
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
idstringrequired

Pipeline ID

namestringrequired

Pipeline Name

creatorIDstringrequired

Pipeline Creator ID

createdTimenumberrequired

Pipeline Creation Time

Constraints:format: double
lastModifierIDstringrequired

Last Modifier ID

lastModifiedTimenumberrequired

Last Modification Time

Constraints:format: double
phasesobject[]

Phases of the release pipeline that will be executed in order.

idstring

Phase ID

namestringrequired

Phase Name

timeIntervalMsnumberrequired

Time interval in milliseconds for this phase

requiredReviewbooleanrequired

Whether this phase requires review to proceed

rulesobject[]required

Rules to apply in this phase

idstring

The Statsig ID of this rule.

namestringrequired

The name of this rule.

conditionsobject[]required

An array of Condition objects.

targetValueoneOf
Constraints:nullablestring[]number[]stringnumber
operatorstring
fieldstring
Constraints:nullable
customIDstring
Constraints:nullable
typestringrequired
Allowed values:app_versionbrowser_namebrowser_versioncountrycustom_fieldemailenvironment_tierfails_gatefails_segmentip_addresslocaleos_nameos_versionpasses_gatepasses_segmentpublictimeunit_iduser_iduser_agenturljavascriptdevice_modeltarget_appexperiment_group
environmentsstring[]

The environments this rule is enabled for.

Constraints:nullable
triggerNoticestring

A notice that will be displayed to the user on the config page when the release pipeline is triggered

paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring

Was this helpful?